const path = require('path');
const babel = require('@babel/core');
const generator = require('@babel/generator');
const traverse = require('@babel/traverse');
const { parse } = require('@babel/parser');
const template = require('@babel/template');
const t = require('@babel/types');

// const App = props => {
//   return (
//     <div>
//       <span>1</span>
//     </div>
//   )
// }
const code = `
import { graphql } from '@apollo/react-hoc';

export default class App extends Component {
  render() {
    return (
      <div>
        <span>1</span>
      </div>
    );
  }
}

export const query = gql\`
  query {
    a {
      b
    }
  }
\`;




`;

const ast = babel.parse(code, {
  //   presets: ["@babel/preset-env"],
  sourceType: 'module',
  plugins: [
    // [path.join(__dirname, "./plugins/graphql/index.js"), { a: 1, b: 2 }]
    '@babel/plugin-syntax-jsx'
  ]
});
const tt = template.default(`
  export default graphql(%%query%%)(%%component%%);
`);
traverse.default(ast, require('./plugins/graphql/visitor'));
const output = generator.default(ast, {}, code);

console.log('\noutput========>\n', output.code);
